google-translate-cli: Google Translate в вашем терминале

Клиент Google Translator, работающий в терминале Ubuntu

Программа гугл-переводчик-cli это простой код, который позволяет использовать переводчик Google Переводите в своем терминале без необходимости использования веб-браузера. Поскольку это программа, состоящая примерно из 100 строк на AWK, в нашей системе необходима реализация GNU языка программирования AWK.

Чтобы установить его на Ubuntu или другие Дистрибутивы, основанные на этом, просты, нам просто нужно установить пакеты «gawk» и «git» с консоли или из Центра программного обеспечения Ubuntu. Консольный метод является более общим и просто набирает:

sudo apt-get install gawk git

GNU Gawk - это пакет, который реализует язык AWK для систем * nix, как я уже сказал, а Git - это программное обеспечение для контроля версий, созданное им самим. Линус Торвальдс, как вы уже должны знать. После установки необходимых инструментов для работы клиента Google Translate мы должны установить сам клиент следующим образом:

git clone git://github.com/soimort/google-translate-cli.git
cd google-translate-cli/
make install

Теперь вы готовы к использованию. С команда "перевести" мы можем легко переводить в консоли между сотнями разных языков. Вы можете взглянуть на руководство, чтобы узнать больше об этой программе и увидеть все возможности, которые она поддерживает.


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

3 комментариев, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован.

*

*

  1. Ответственный за данные: AB Internet Networks 2008 SL
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   Nasciiboy сказал

    До сих пор я работал с веб-интерфейсом и внутри emacs с помощью макроса, использующего программу apertium. Я понял, что злонамеренная компания удалила эту службу, несмотря на то, что предварительный диапазон работает, хотя страница руководства отсутствует

  2.   слабосеребро сказал

    отметьте ошибку на момент выставления
    сделать установку
    gawk: build.awk: 3: @include "include / Commons.awk"
    gawk: build.awk: 3: ^ недопустимый символ '@' в выражении
    make: *** [trans] Ошибка 1

  3.   альдит сказал

    Теперь команда "транс":

    $ trans -brief хорошо
    Буэно

bool (истина)